# PDF工具箱

一个简单易用的PDF处理工具，支持多种格式转换和PDF文件处理功能。

## 功能特性

- PDF转Word：将PDF文件转换为Word文档
- PDF转图片：将PDF文件转换为图片文件
- PDF转Markdown：提取PDF文本内容并转换为Markdown格式
- PDF转Excel：将PDF中的表格数据提取为Excel文件
- PDF合并：将多个PDF文件合并为一个文件
- PDF拆分：将PDF文件拆分为多个单页文件
- PDF压缩：压缩PDF文件大小

## 环境要求

- Python 3.11 或更高版本
- 所需Python包已在 requirements.txt 中列出
- 对于PDF转Excel功能，需要安装Java环境：
  - 安装Java JDK（推荐Java 8或更高版本）
  - 配置JAVA_HOME环境变量
  - 将Java添加到系统PATH中

### Java环境配置步骤（仅PDF转Excel功能需要）

1. 下载并安装Java JDK
   - 访问 [Oracle Java下载页面](https://www.oracle.com/java/technologies/downloads/) 或使用OpenJDK
   - 选择适合您系统的Java版本进行下载和安装

2. 配置环境变量
   - 右键"此电脑" -> "属性" -> "高级系统设置" -> "环境变量"
   - 在系统变量中新建 JAVA_HOME，值为Java安装目录（如：C:\Program Files\Java\jdk-x.x.x）
   - 在系统变量Path中添加 %JAVA_HOME%\bin

3. 验证安装
   - 打开命令提示符
   - 输入 `java -version`
   - 如果显示版本信息，说明配置成功

## 安装步骤

1. 克隆或下载本项目
2. 安装依赖包：
```bash
pip install -r requirements.txt
```

## 打包说明
如果您想将程序打包成可执行文件，可以使用PyInstaller进行打包：

1. 首先安装PyInstaller：
```bash
pip install pyinstaller
```

2. 进入项目目录，运行以下命令进行打包：
```bash
pyinstaller --onefile --windowed --add-data "src;src" --add-data "config.json;." --add-data "requirements.txt;." main.py
```

3. 打包完成后，在dist目录下会生成可执行文件。
打包完成后，可执行文件将在 dist/PDF工具箱 目录中生成。
注意事项：
- 打包前请确保已安装所有依赖包
- 如果使用PDF转Excel功能，打包后的程序仍然需要Java环境
- 首次运行打包后的程序可能需要稍等片刻

## 使用说明

打包命令的参数说明：
- `--name "PDF工具箱"`: 设置生成的程序名称
- `--windowed`: 不显示控制台窗口
- `--icon=assets/icon.ico`: 设置程序图标（如果有的话）
- `--add-data "assets;assets"`: 包含资源文件（如果有的话）