import fitz

class PDFMerger:
    @staticmethod
    def merge_pdfs(pdf_paths, output_path):
        """
        合并多个PDF文件
        :param pdf_paths: PDF文件路径列表
        :param output_path: 输出文件路径
        """
        merged_pdf = fitz.open()
        
        try:
            for pdf_path in pdf_paths:
                with fitz.open(pdf_path) as pdf_doc:
                    merged_pdf.insert_pdf(pdf_doc)
            
            merged_pdf.save(output_path)
        finally:
            merged_pdf.close()