import fitz
import os

class PDFSplitter:
    @staticmethod
    def split_pdf(pdf_path, output_dir):
        """
        拆分PDF文件
        :param pdf_path: PDF文件路径
        :param output_dir: 输出目录
        """
        doc = fitz.open(pdf_path)
        
        try:
            for page_num in range(len(doc)):
                output_pdf = fitz.open()
                output_pdf.insert_pdf(doc, from_page=page_num, to_page=page_num)
                output_path = os.path.join(output_dir, f'page_{page_num + 1}.pdf')
                output_pdf.save(output_path)
                output_pdf.close()
        finally:
            doc.close()